Renew Cloud Proxy Certificate

Renew Cloud Proxy Certificate
Renew Cloud Proxy CA Certificate.

Renew Cloud Proxy CA Certificate. Note : Communication between Endpoint - Cloud Proxy will be broken post Renewal of CA Certificate. Will attempt to renew Client Certificate on Endpoint.

Request
URI
POST
https://{api_host}/suite-api/api/collectors/{id}/certificates/renew
COPY
Path Parameters
integer
id
Required

The Identifier of the Collector


Authentication
This operation uses the following authentication methods.
Responses
200

Cloud Proxy certificate renewal request submitted.

Returns CertificateRenewalResponse of type(s) application/json
"{\n  \"message\" : \"Certificate renewal request is successfully registered for Collector with id: 99\"\n}"
string
message
Optional

Success/Failure Message


404

The provided ID do not belong to a cloud proxy

Operation doesn't return any data structure

500

Something went wrong

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/suite-api/api/collectors/{id}/certificates/renew